Skip to content

Replace the Auto Alert destinations (org admins)

PUT
/v1/auto/routes
curl --request PUT \
--url https://api.monita.ai/v1/auto/routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "routes": [ { "id": "example", "name": "example", "enabled": true, "channel": { "type": "email", "target": "example" }, "pillars": [ "volume" ], "minSeverity": "low", "domainIds": [ "example" ] } ] }'
Media typeapplication/json
object
routes
required
Array<object>
<= 20 items
object
id
string
<= 40 characters
name
string
<= 80 characters
enabled
boolean
channel
required
object
type
required
string
Allowed values: email slack teams webhook
target
required
string
>= 1 characters <= 2000 characters
pillars
required
Array<string>
>= 1 items <= 3 items
Allowed values: volume data compliance
minSeverity
string
Allowed values: low medium high critical
domainIds
Array<string>
<= 100 items

Saved

Media typeapplication/json
object
routes
required
Array<object>
object
id
string
<= 40 characters
name
string
<= 80 characters
enabled
boolean
channel
required
object
type
required
string
Allowed values: email slack teams webhook
target
required
string
>= 1 characters <= 2000 characters
pillars
required
Array<string>
>= 1 items <= 3 items
Allowed values: volume data compliance
minSeverity
string
Allowed values: low medium high critical
domainIds
Array<string>
<= 100 items
canEdit
required
boolean
blocked
required
Array<string>
Example
{
"routes": [
{
"channel": {
"type": "email"
},
"pillars": [
"volume"
],
"minSeverity": "low"
}
]
}

Invalid destination

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Admins only

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}